Bug 36442 - Fix typo in EDIFACT list
Summary: Fix typo in EDIFACT list
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: Main
Hardware: All All
: P5 - low minor (vote)
Assignee: David Gustafsson
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-03-27 18:47 UTC by David Gustafsson
Modified: 2024-04-05 09:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 36442: Fix typo in edifact list (1.56 KB, patch)
2024-03-27 18:56 UTC, David Gustafsson
Details | Diff | Splinter Review
Bug 36442: Fix typo in edifact list (1.61 KB, patch)
2024-03-27 19:48 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 36442: Fix typo in edifact list (1.71 KB, patch)
2024-03-29 09:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Gustafsson 2024-03-27 18:47:46 UTC
This patch fixes a typo in koha-tmpl/intranet-tmpl/prog/en/modules/acqui/edifactmsgs.tt for the basketno get parameter resulting in a broken link.
Comment 1 David Gustafsson 2024-03-27 18:56:00 UTC
Created attachment 164028 [details] [review]
Bug 36442: Fix typo in edifact list

To test:
1) Create an edifact message
2) Go to the acquisition EDIFACT messages page and
   verify the basket link is broken
3) Apply patch
4) Verify the link now works

Sponsored-by: Gothenburg University Library
Comment 2 David Gustafsson 2024-03-27 18:57:53 UTC
Attached a test case, but don't know if its really necessary to test since a very trivial patch and should be obvious just looking at the code.
Comment 3 Lucas Gass 2024-03-27 19:48:28 UTC
Created attachment 164032 [details] [review]
Bug 36442: Fix typo in edifact list

To test:
1) Create an edifact message
2) Go to the acquisition EDIFACT messages page and
   verify the basket link is broken
3) Apply patch
4) Verify the link now works

Sponsored-by: Gothenburg University Library
Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Marcel de Rooy 2024-03-29 09:39:38 UTC
Created attachment 164120 [details] [review]
Bug 36442: Fix typo in edifact list

To test:
1) Create an edifact message
2) Go to the acquisition EDIFACT messages page and
   verify the basket link is broken
3) Apply patch
4) Verify the link now works

Sponsored-by: Gothenburg University Library
Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2024-03-29 09:40:16 UTC
Nice catch. Start your stopwatch and look for the change :)
Comment 6 Katrin Fischer 2024-04-05 09:18:35 UTC
Agreed, nice catch! Needed to use color-words=. to actually spot it!
Comment 7 Katrin Fischer 2024-04-05 09:53:10 UTC
Pushed for 24.05!

Well done everyone, thank you!